import { Entity, Column } from 'typeorm';
import { BaseModel } from '../frame/BaseModel';
class Config {
  column: string; // 字段
  zh: string; //中文
  type: string; // 数据类型: 字符串(string);数字(integer);json(jsonb,先不做内部处理);时间(date)
  source: string; //数据来源: 手写(无特殊处理);字典(需要填写dict和dict_value);关联

  from: string;// 数据来源为 字典表:则填写字典类型; 关联表:则填写表名(小驼峰)
  from_column: string; // 数据来源为 字典表:填写作为值的字段,默认为value,可以使用label; 关联表:取出哪个字段

  is_use: string; //是否使用: 0使用;1禁用
}
/**导出设置 */
@Entity('exportConfig')
export class ExportConfig extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '表名' })
  table: string;
  @Column({ type: 'jsonb', nullable: true, comment: '设置', default: [] })
  config: Array<Config>;
}
