import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
/**
 * 流程状态:
 * 0:报名阶段-报名中 -- 默认生成数据的状态
 * 1:报名阶段-已结束
 * 2:初审阶段-组织初审
 * 3:初审阶段-公示名单
 * 4:初审阶段-赛事进行
 * 5:决赛阶段-组织决赛
 * 6:决赛阶段-名单公示
 * 7:决赛阶段-赛事进行
 * 8:决赛阶段-赛事结束
 */
//赛事
@Entity('matchExt', { comment: '赛事拓展表' })
export class MatchExt extends BaseModel {
  @Column({ type: 'integer', comment: '赛事id' })
  match_id: number;
  @Column({ type: 'character varying', nullable: true, comment: '流程状态', default: '0' })
  status: string;
  @Column({ type: 'jsonb', nullable: true, comment: '报名信息设置' })
  info: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '决赛分数维度设置' })
  finals: Array<any>;
  @Column({ type: 'integer', nullable: true, comment: '进入决赛人数' })
  final_persons: number;
}
