import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
import * as dayjs from 'dayjs';
// 成果需要与用户连接,否则就只能属于平台的了
// 成果
@Entity('achievement', { comment: '成果数据' })
export class Achievement extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '所属产业' })
  industry: string;
  @Column({ type: 'jsonb', nullable: true, comment: '标签', default: [] })
  tags: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '专利号' })
  patent: string;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '属性' })
  attribute: string;
  @Column({ type: 'character varying', nullable: true, comment: '出让方式' })
  sell: string;
  @Column({ type: 'integer', nullable: true, comment: '浏览量' })
  num: number;
  @Column({ type: 'character varying', nullable: true, comment: '成熟度' })
  mature: string;
  @Column({ type: 'character varying', nullable: true, comment: '行业领域' })
  field: string;
  @Column({ type: 'character varying', nullable: true, comment: '技术分类' })
  technology: string;
  @Column({ type: 'jsonb', nullable: true, comment: '成果地区', default: [] })
  area: Array<any>;
  @Column({ type: 'timestamp without time zone', nullable: true, comment: '发布时间', transformer: { from: value => (value ? dayjs(value).format('YYYY-MM-DD HH:mm:ss') : value), to: value => value } })
  time: Date;
  @Column({ type: 'character varying', nullable: true, comment: '参考价格' })
  money: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'jsonb', nullable: true, comment: '附件', default: [] })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '成果状态', default: '0' })
  achievement_status: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
  @Column({ type: 'character varying', nullable: true, comment: '项目来源' })
  source: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人' })
  person: string;
  @Column({ type: 'character varying', nullable: true, comment: '联系电话' })
  tel: string;
}
