import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 平台设置
@Entity('design', { comment: '平台设置' })
export class Design extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '标题' })
  zhTitle: string;
  @Column({ type: 'character varying', nullable: true, comment: '英文标题' })
  zhEnglish: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  zhBrief: string;
  @Column({ type: 'text', nullable: true, comment: '使用协议' })
  agreement: string;
  @Column({ type: 'text', nullable: true, comment: '关于我们' })
  brief: string;
  @Column({ type: 'jsonb', nullable: true, comment: 'logo', default: [] })
  logoUrl: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '轮播图', default: [] })
  carouselUrl: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '合作伙伴', default: [] })
  friend: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '友情连接', default: [] })
  friendship: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '网站底部信息', default: {} })
  footInfo: object;
  @Column({ type: 'jsonb', nullable: true, comment: '联系申请部门审核设置', default: {} })
  contactApplyConfig: object;

}
