import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 目录
@Entity('directory', { comment: '产研行研目录' })
export class Directory extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '所属行研产研' })
  journal: number;
  @Column({ type: 'integer', nullable: true, comment: '所属期刊' })
  notes: number;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '委托方' })
  client: string;
  @Column({ type: 'character varying', nullable: true, comment: '合作方' })
  partner: string;
  @Column({ type: 'character varying', nullable: true, comment: '研究主旨' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '详情' })
  detail: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
