import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 中试平台
@Entity('footplate', { comment: '中试平台' })
export class Footplate extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'jsonb', nullable: true, comment: '封面', default: [] })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '所属产业' })
  industry: string;
  @Column({ type: 'jsonb', nullable: true, comment: '标签', default: [] })
  tags: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '建设主体' })
  build: string;
  @Column({ type: 'character varying', nullable: true, comment: '运营主体' })
  operate: string;
  @Column({ type: 'character varying', nullable: true, comment: '服务产业领域' })
  field: string;
  @Column({ type: 'jsonb', nullable: true, comment: '所在地区', default: [] })
  area: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;
  @Column({ type: 'character varying', nullable: true, comment: '联系人' })
  contacts: string;
  @Column({ type: 'character varying', nullable: true, comment: '联系电话' })
  phone: string;
  @Column({ type: 'character varying', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
