import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';

@Entity('friend', { comment: '合作伙伴' })
export class Friend extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '编码' })
  code: string;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'jsonb', nullable: true, comment: 'logo', default: [] })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '上级编码' })
  parent_code: string;
  @Column({ type: 'character varying', comment: '是否启用', default: '0' })
  is_use: string;
  @Column({ type: 'integer', nullable: true, comment: '显示顺序' })
  order_num: number;
}
