import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
//赛事
@Entity('match', { comment: '双创赛事' })
export class Match extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'jsonb', nullable: true, comment: '标签', default: [] })
  tags: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '类型' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '赛事类型' })
  match_type: string;
  @Column({ type: 'character varying', nullable: true, comment: '赛事规模' })
  scale: string;
  @Column({ type: 'character varying', nullable: true, comment: '路由' })
  href: string;
  @Column({ type: 'character varying', nullable: true, comment: '组织单位' })
  work: string;
  @Column({ type: 'character varying', nullable: true, comment: '地点' })
  address: string;
  @Column({ type: 'character varying', nullable: true, comment: '行业' })
  industry: string;
  @Column({ type: 'character varying', nullable: true, comment: '类别' })
  form: string;
  @Column({ type: 'character varying', nullable: true, comment: '开始时间' })
  start_time: string;
  @Column({ type: 'character varying', nullable: true, comment: '结束时间' })
  end_time: string;
  @Column({ type: 'character varying', nullable: true, comment: '奖金' })
  money: string;
  @Column({ type: 'jsonb', nullable: true, comment: '赛事规则', default: {} })
  rules: object;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'text', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'jsonb', nullable: true, comment: '封面', default: [] })
  file: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '视频', default: [] })
  video: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '赛事状态', default: '0' })
  match_status: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开路演人信息', default: '1' })
  is_show: string;
  @Column({ type: 'integer', nullable: true, comment: '显示顺序' })
  order_num: number;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
