import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
import * as dayjs from 'dayjs';
// 新闻
@Entity('news', { comment: '政策、新闻、行业动态' })
export class News extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'jsonb', nullable: true, comment: '标签', default: [] })
  tags: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '标题' })
  title: string;
  @Column({ type: 'jsonb', default: [], nullable: true, comment: '封面' })
  logo: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '发布人' })
  person: string;
  @Column({ type: 'character varying', nullable: true, comment: '跳转地址' })
  route: string;
  @Column({ type: 'character varying', nullable: true, comment: '跳转类型' })
  jump_type: string;
  @Column({ type: 'timestamp without time zone', nullable: true, comment: '发布时间', transformer: { from: value => (value ? dayjs(value).format('YYYY-MM-DD HH:mm:ss') : value), to: value => value } })
  time: Date;
  @Column({ type: 'character varying', nullable: true, comment: '内容' })
  content: string;
  @Column({ type: 'integer', nullable: true, comment: '浏览次数', default: 0 })
  number: number;
  @Column({ type: 'character varying', nullable: true, comment: '类型 0:政策新闻,1:新闻资讯', default: '0' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否在首页显示', default: '1' })
  is_show: string;
  @Column({ type: 'integer', nullable: true, comment: '显示顺序' })
  order_num: number;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
