import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 期刊
@Entity('notes', { comment: '期刊数据' })
export class Notes extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '所属期刊' })
  journal: number;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'jsonb', nullable: true, comment: '封面', default: [] })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '内容' })
  content: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
