import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 行业
@Entity('sector', { comment: '行业数据' })
export class Sector extends BaseModel {
  @Column({ type: 'character varying', nullable: true, comment: '标题' })
  title: string;
  @Column({ type: 'character varying', nullable: true, comment: '合作方链接渠道' })
  href: string;
  @Column({ type: 'jsonb', nullable: true, comment: '背景图', default: [] })
  file: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '轮播图', default: [] })
  carousel: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '合作伙伴', default: [] })
  partner: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '企业成员', default: [] })
  companyPerson: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '新闻', default: [] })
  news: Array<any>;
  @Column({ type: 'integer', nullable: true, comment: '专家数' })
  expertNum: number;
  @Column({ type: 'integer', nullable: true, comment: '排序' })
  sort: number;
  @Column({ type: 'character varying', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '发展进程' })
  process: string;
  @Column({ type: 'character varying', nullable: true, comment: '合作情况' })
  situation: string;
  @Column({ type: 'character varying', nullable: true, comment: '重大活动' })
  activity: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
}
