import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
//赛事报名
@Entity('sign', { comment: '赛事报名' })
export class Sign extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'integer', nullable: true, comment: '赛事id' })
  match: number;
  @Column({ type: 'character varying', nullable: true, comment: '姓名' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '类型', default: '0' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '公司' })
  company: string;
  @Column({ type: 'character varying', nullable: true, comment: '项目名称' })
  project_name: string;
  @Column({ type: 'character varying', nullable: true, comment: '项目介绍' })
  project_brief: string;
  @Column({ type: 'jsonb', nullable: true, comment: '项目附件', default: [] })
  project_file: string;
  @Column({ type: 'character varying', nullable: true, comment: '电话号' })
  phone: string;
  @Column({ type: 'character varying', nullable: true, comment: '证件类型' })
  cardType: string;
  @Column({ type: 'character varying', nullable: true, comment: '证件号码' })
  card: string;
  @Column({ type: 'character varying', nullable: true, comment: '微信/QQ' })
  communication: string;
  @Column({ type: 'character varying', nullable: true, comment: '电子邮箱' })
  email: string;
  @Column({ type: 'character varying', nullable: true, comment: '报名时间' })
  time: string;
  @Column({ type: 'character varying', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
  @Column({ type: 'character varying', nullable: true, comment: '隶属单位' })
  unit: string;
}
