import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 供给
@Entity('supply', { comment: '供给数据' })
export class Supply extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'jsonb', nullable: true, comment: '标签', default: [] })
  tags: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '类型' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '行业领域' })
  field: string;
  @Column({ type: 'character varying', nullable: true, comment: '需求紧急度' })
  urgent: string;
  @Column({ type: 'jsonb', nullable: true, comment: '合作方式' })
  method: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '开始时间' })
  start_time: string;
  @Column({ type: 'character varying', nullable: true, comment: '结束时间' })
  end_time: string;
  @Column({ type: 'character varying', nullable: true, comment: '价格' })
  money: string;
  @Column({ type: 'jsonb', nullable: true, comment: '供给地区', default: [] })
  area: Array<any>;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '需求状态', default: '0' })
  demand_status: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态' })
  status: string;
  @Column({ type: 'character varying', nullable: true, comment: '所属产业' })
  industry: string;
  @Column({ type: 'character varying', nullable: true, comment: '项目来源' })
  source: string;
}
