import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 服务
@Entity('support', { comment: '服务数据' })
export class Support extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'jsonb', nullable: true, comment: '封面', default: [] })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '所属产业' })
  industry: string;
  @Column({ type: 'jsonb', nullable: true, comment: '标签', default: [] })
  tags: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'jsonb', nullable: true, comment: '服务领域', default: [] })
  field: string;
  @Column({ type: 'character varying', nullable: true, comment: '登记时间' })
  time: string;
  @Column({ type: 'jsonb', nullable: true, comment: '所在地区', default: [] })
  area: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;
  @Column({ type: 'character varying', nullable: true, comment: '联系人' })
  contacts: string;
  @Column({ type: 'character varying', nullable: true, comment: '联系电话' })
  phone: string;
  @Column({ type: 'character varying', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
