import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 角色表
@Entity('role', { comment: '角色数据' })
export class Role extends BaseModel {
  @Column({ type: 'character varying', comment: '角色名称' })
  name: string;
  @Column({ type: 'character varying', comment: '角色编码' })
  code: string;
  @Column({ type: 'jsonb', default: [], comment: '目录' })
  menu: Array<string>;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', default: '0', comment: '是否使用  0使用;1禁用' })
  is_use: string;
  @Column({ type: 'character varying', comment: '是否为默认 默认:0,非默认:1; 默认不能删除', default: '1' })
  is_default: string;
  @Column({ type: 'character varying', comment: '是否为管理员角色 0:不是管理员角色;1:是管理员角色', default: '0' })
  is_admin_role: string;
}
