import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
import * as dayjs from 'dayjs';
// 企业
@Entity('company', { comment: '企业数据' })
export class Company extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '所属产业' })
  industry: string;
  @Column({ type: 'jsonb', nullable: true, comment: '标签', default: [] })
  tags: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '企业名称' })
  name: string;
  @Column({ type: 'jsonb', nullable: true, comment: 'logo', default: [] })
  logo: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '企业统一信用代码' })
  code: string;
  @Column({ type: 'character varying', nullable: true, comment: '企业类型' })
  pattern: string;
  @Column({ type: 'character varying', nullable: true, comment: '企业规模' })
  scale: string;
  @Column({ type: 'character varying', nullable: true, comment: '联系电话' })
  phone: string;
  @Column({ type: 'character varying', nullable: true, comment: '所属行业' })
  type: string;
  @Column({ type: 'jsonb', nullable: true, comment: '所在地区' })
  area: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '法定代表人' })
  representative: string;
  @Column({ type: 'character varying', nullable: true, comment: '电子邮箱' })
  email: string;
  @Column({ type: 'integer', nullable: true, comment: '员工人数' })
  person: number;

  @Column({ type: 'integer', nullable: true, comment: '硕士研究生人数' })
  graduate_num: number;
  @Column({ type: 'integer', nullable: true, comment: '博士人数' })
  doctor_num: number;
  @Column({ type: 'integer', nullable: true, comment: '海归人数' })
  returnee_num: number;
  @Column({ type: 'integer', nullable: true, comment: '知识产权数' })
  knowledge: number;
  @Column({ type: 'integer', nullable: true, comment: '发明专利数' })
  patent: number;
  @Column({ type: 'integer', nullable: true, comment: '实用新型数' })
  utility: number;
  @Column({ type: 'integer', nullable: true, comment: '软件著作权数' })
  copyright: number;
  @Column({ type: 'character varying', nullable: true, comment: '是否为高新技术企业' })
  is_tech: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否为专精特新企业' })
  is_new: string;

  @Column({ type: 'character varying', nullable: true, comment: '注册资本' })
  register: string;
  @Column({ type: 'timestamp without time zone', nullable: true, comment: '成立日期', transformer: { from: value => (value ? dayjs(value).format('YYYY-MM-DD HH:mm:ss') : value), to: value => value } })
  create_time: Date;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_show: string;
  @Column({ type: 'character varying', default: '0', comment: '公司状态' })
  companyStatus: string;
  @Column({ type: 'character varying', default: '0', comment: '状态' })
  status: string;
  @Column({ type: 'character varying', nullable: true, comment: '产品' })
  products: string;
}
