import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
//企业年度信息
@Entity('companyYear', { comment: '企业年度数据' })
export class CompanyYear extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'integer', nullable: true, comment: '企业id' })
  company: number;
  @Column({ type: 'character varying', nullable: true, comment: '年度' })
  year: string;
  @Column({ type: 'character varying', nullable: true, comment: '填写时间' })
  time: string;
  @Column({ type: 'float', nullable: true, comment: '预计营业收入（万元）' })
  esincome_money: number;
  @Column({ type: 'float', nullable: true, comment: '预计利润（万元）' })
  esprofit_money: number;
  @Column({ type: 'float', nullable: true, comment: '预计税金（万元）' })
  estax_money: number;
  @Column({ type: 'float', nullable: true, comment: '预计研发费用（万元）' })
  essearch_money: number;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
