import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';

/**联系方式申请表 */
@Entity('contactApply', { comment: '联系方式申请数据' })
export class ContactApply extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '申请用户id' })
  apply_user: number;
  @Column({ type: 'integer', nullable: true, comment: '被申请信息的用户id' })
  target_user: number;
  // 电话,联系人姓名,邮箱都动态获取
  @Column({ type: 'character varying', nullable: true, comment: '申请来源' })
  source: string; // 哪个表:投资部:需求(demand);供给(supply);项目(project); 创合部:成果(achievement), 孵化基地(incubator)
  @Column({ type: 'character varying', nullable: true, comment: '申请来源id' })
  source_id: string; // 哪个数据

  @Column({ type: 'integer', nullable: true, comment: '审核的管理员id' })
  exam_admin: number;
  @Column({ type: 'character varying', nullable: true, default: '0', comment: '审核状态: 0-未审核;1通过;-1拒绝' })
  status: string;
}
