import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
//孵化基地
@Entity('incubator', { comment: '孵化基地数据' })
export class Incubator extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'jsonb', nullable: true, comment: '标签', default: [] })
  tags: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: 'logo', default: [] })
  logo: Array<any>;
  @Column({ type: 'jsonb', nullable: true, comment: '基地风采', default: [] })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人姓名' })
  person: string;
  @Column({ type: 'character varying', nullable: true, comment: '负责人电话' })
  person_phone: string;
  @Column({ type: 'jsonb', nullable: true, comment: '所在地区' })
  area: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '地址' })
  address: string;
  @Column({ type: 'character varying', nullable: true, comment: '运营单位名称' })
  unit: string;
  @Column({ type: 'character varying', nullable: true, comment: '占地面积' })
  cover_area: string;
  @Column({ type: 'character varying', nullable: true, comment: '建筑面积' })
  build_area: string;
  @Column({ type: 'character varying', nullable: true, comment: '剩余面积' })
  residue_area: string;
  @Column({ type: 'character varying', nullable: true, comment: '房租' })
  rent: string;
  @Column({ type: 'character varying', nullable: true, comment: '物业费' })
  wy_money: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否具备中试场地' })
  is_have: string;
  @Column({ type: 'integer', nullable: true, comment: '载体运营单位人数' })
  unit_num: number;
  @Column({ type: 'integer', nullable: true, comment: '载体运营单位的省级以上导师数' })
  teacher_num: number;
  @Column({ type: 'character varying', nullable: true, comment: '中试场地面积' })
  site_area: string;
  @Column({ type: 'integer', nullable: true, comment: '累计参加活动人次' })
  activity_num: number;
  @Column({ type: 'integer', nullable: true, comment: '累计参加活动企业数量' })
  actCompany_num: number;
  @Column({ type: 'integer', nullable: true, comment: '市级以上活动数' })
  actCity_num: number;
  @Column({ type: 'integer', nullable: true, comment: '培训辅导类活动数' })
  actTrain_num: number;
  @Column({ type: 'integer', nullable: true, comment: '高校院所类活动数' })
  actSchool_num: number;
  @Column({ type: 'integer', nullable: true, comment: '投资机构类活动数' })
  actInstitution_num: number;
  @Column({ type: 'integer', nullable: true, comment: '中介服务类活动数' })
  actService_num: number;
  @Column({ type: 'integer', nullable: true, comment: '入驻企业数' })
  company_num: number;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_show: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否和平台合作标识' })
  cooperate: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
