import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
//孵化基地年度信息
@Entity('incubatorYear', { comment: '孵化基地年度数据' })
export class IncubatorYear extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'integer', nullable: true, comment: '孵化器id' })
  incubator: number;
  @Column({ type: 'character varying', nullable: true, comment: '年度' })
  year: string;
  @Column({ type: 'character varying', nullable: true, comment: '填写时间' })
  time: string;
  @Column({ type: 'integer', nullable: true, comment: '活动总数' })
  act_num: number;
  @Column({ type: 'float', nullable: true, comment: '载体内企业实现收入（万元）' })
  income_money: number;
  @Column({ type: 'float', nullable: true, comment: '载体内企业利润（万元）' })
  profit_money: number;
  @Column({ type: 'float', nullable: true, comment: '载体内企业税金（万元）' })
  tax_money: number;
  @Column({ type: 'float', nullable: true, comment: '载体内企业预计收入（万元）' })
  esincome_money: number;
  @Column({ type: 'float', nullable: true, comment: '载体内企业预计利润（万元）' })
  esprofit_money: number;
  @Column({ type: 'float', nullable: true, comment: '载体内企业预计税金（万元）' })
  estax_money: number;
  @Column({ type: 'text', nullable: true, comment: '获得国家、省、市科技、工信、人社等单位荣誉情况' })
  content: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否使用', default: '0' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
