import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
// 投资人
@Entity('investment', { comment: '投资人数据' })
export class Investment extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '投资人姓名' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '投资人证件类型' })
  cardType: string;
  @Column({ type: 'character varying', nullable: true, comment: '投资人证件号码' })
  card: string;
  @Column({ type: 'character varying', nullable: true, comment: ' 投资人出资额' })
  money: string;
  @Column({ type: 'character varying', nullable: true, comment: '投资人出资方式' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '投资人的住所地' })
  address: string;
  @Column({ type: 'character varying', nullable: true, comment: '投资人的联系方式' })
  phone: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开' })
  is_show: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态' })
  status: string;
}
