import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from '../../frame/SearchBase';
import { dealVO } from '../../frame/VOBase';
export class FVO_directory {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '所属行研产研' })
  'journal': number = undefined;
  @ApiProperty({ description: '所属期刊' })
  'notes': number = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '委托方' })
  'client': string = undefined;
  @ApiProperty({ description: '合作方' })
  'partner': string = undefined;
  @ApiProperty({ description: '研究主旨' })
  'brief': string = undefined;
  @ApiProperty({ description: '研究主旨' })
  'detail': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_directory extends SearchBase {
  @ApiProperty({ description: '所属行研产研' })
  'journal': number = undefined;
  @ApiProperty({ description: '所属期刊' })
  'notes': number = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '委托方' })
  'client': string = undefined;
  @ApiProperty({ description: '合作方' })
  'partner': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_directory extends FVO_directory {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_directory {
  @ApiProperty({ description: '所属行研产研' })
  @Rule(RuleType['number']().empty(''))
  'journal': number = undefined;
  @ApiProperty({ description: '所属期刊' })
  @Rule(RuleType['number']().empty(''))
  'notes': number = undefined;
  @ApiProperty({ description: '名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: '委托方' })
  @Rule(RuleType['string']().empty(''))
  'client': string = undefined;
  @ApiProperty({ description: '合作方' })
  @Rule(RuleType['string']().empty(''))
  'partner': string = undefined;
  @ApiProperty({ description: '研究主旨' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '详情' })
  @Rule(RuleType['string']().empty(''))
  'detail': string = undefined;
  @ApiProperty({ description: '是否使用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_directory extends FVO_directory {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_directory extends CDTO_directory {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_directory extends FVO_directory {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
