import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_friend {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '编码' })
  'code': string = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: 'logo' })
  'file': Array<any> = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '上级编码' })
  'parent_code': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QDTO_friend {
  @ApiProperty({ description: '编码' })
  'code': string = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '上级编码' })
  'parent_code': string = undefined;

  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QVO_friend extends FVO_friend {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_friend {
  @ApiProperty({ description: '编码' })
  @Rule(RuleType['string']().empty(''))
  'code': string = undefined;
  @ApiProperty({ description: '名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: 'logo' })
  @Rule(RuleType['array']().empty(''))
  'file': Array<any> = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '上级编码' })
  @Rule(RuleType['string']().empty(''))
  'parent_code': string = undefined;
  @ApiProperty({ description: '是否使用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
}

export class CVO_friend extends FVO_friend {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_friend extends CDTO_friend {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_friend extends FVO_friend {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
