import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from '../../frame/SearchBase';
import { dealVO } from '../../frame/VOBase';
export class FVO_match {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '类型' })
  'type': string = undefined;
  @ApiProperty({ description: '赛事类型' })
  'match_type': string = undefined;
  @ApiProperty({ description: '赛事规模' })
  'scale': string = undefined;
  @ApiProperty({ description: '路由' })
  'href': string = undefined;
  @ApiProperty({ description: '组织单位' })
  'work': string = undefined;
  @ApiProperty({ description: '所属产业' })
  'industry': string = undefined;
  @ApiProperty({ description: '类别' })
  'form': string = undefined;
  @ApiProperty({ description: '地点' })
  'address': string = undefined;
  @ApiProperty({ description: '开始时间' })
  'start_time': string = undefined;
  @ApiProperty({ description: '结束时间' })
  'end_time': string = undefined;
  @ApiProperty({ description: '奖金' })
  'money': string = undefined;
  @ApiProperty({ description: '赛事规则' })
  'rules': object = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '备注' })
  'remark': string = undefined;
  @ApiProperty({ description: '封面' })
  'file': Array<any> = undefined;
  @ApiProperty({ description: '视频' })
  'video': Array<any> = undefined;
  @ApiProperty({ description: '赛事状态' })
  'match_status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_use': string = undefined;
  @ApiProperty({ description: '是否公开路演人信息' })
  'is_show': string = undefined;
  @ApiProperty({ description: '显示顺序' })
  'order_num': number = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_match extends SearchBase {
  @ApiProperty({ description: '用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '类型' })
  'type': string = undefined;
  @ApiProperty({ description: '赛事类型' })
  'match_type': string = undefined;
  @ApiProperty({ description: '赛事规模' })
  'scale': string = undefined;
  @ApiProperty({ description: '路由' })
  'href': string = undefined;
  @ApiProperty({ description: '开始时间' })
  'start_time': string = undefined;
  @ApiProperty({ description: '结束时间' })
  'end_time': string = undefined;
  @ApiProperty({ description: '所属产业' })
  'industry': string = undefined;
  @ApiProperty({ description: '类别' })
  'form': string = undefined;
  @ApiProperty({ description: '赛事状态' })
  'match_status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_use': string = undefined;
  @ApiProperty({ description: '是否公开路演人信息' })
  'is_show': string = undefined;
  @ApiProperty({ description: '显示顺序' })
  'order_num': number = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_match extends FVO_match {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_match {
  @ApiProperty({ description: '用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  @Rule(RuleType['array']().empty(''))
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: '类型' })
  @Rule(RuleType['string']().empty(''))
  'type': string = undefined;
  @ApiProperty({ description: '赛事类型' })
  @Rule(RuleType['string']().empty(''))
  'match_type': string = undefined;
  @ApiProperty({ description: '赛事规模' })
  @Rule(RuleType['string']().empty(''))
  'scale': string = undefined;
  @ApiProperty({ description: '路由' })
  @Rule(RuleType['string']().empty(''))
  'href': string = undefined;
  @ApiProperty({ description: '组织单位' })
  @Rule(RuleType['string']().empty(''))
  'work': string = undefined;
  @ApiProperty({ description: '所属产业' })
  @Rule(RuleType['string']().empty(''))
  'industry': string = undefined;
  @ApiProperty({ description: '类别' })
  @Rule(RuleType['string']().empty(''))
  'form': string = undefined;
  @ApiProperty({ description: '地点' })
  @Rule(RuleType['string']().empty(''))
  'address': string = undefined;
  @ApiProperty({ description: '开始时间' })
  @Rule(RuleType['string']().empty(''))
  'start_time': string = undefined;
  @ApiProperty({ description: '结束时间' })
  @Rule(RuleType['string']().empty(''))
  'end_time': string = undefined;
  @ApiProperty({ description: '奖金' })
  @Rule(RuleType['string']().empty(''))
  'money': string = undefined;
  @ApiProperty({ description: '赛事规则' })
  @Rule(RuleType['object']().empty(''))
  'rules': object = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '备注' })
  @Rule(RuleType['string']().empty(''))
  'remark': string = undefined;
  @ApiProperty({ description: '封面' })
  @Rule(RuleType['array']().empty(''))
  'file': Array<any> = undefined;
  @ApiProperty({ description: '视频' })
  @Rule(RuleType['array']().empty(''))
  'video': Array<any> = undefined;
  @ApiProperty({ description: '赛事状态' })
  @Rule(RuleType['string']().empty(''))
  'match_status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
  @ApiProperty({ description: '是否公开路演人信息' })
  @Rule(RuleType['string']().empty(''))
  'is_show': string = undefined;
  @ApiProperty({ description: '显示顺序' })
  @Rule(RuleType['number']().empty(''))
  'order_num': number = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_match extends FVO_match {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_match extends CDTO_match {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_match extends FVO_match {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
