import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from '../../frame/SearchBase';
import { dealVO } from '../../frame/VOBase';
export class FVO_matchPath {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '赛事id' })
  'match': number = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '时间' })
  'time': string = undefined;
  @ApiProperty({ description: '报名人员' })
  'signPerson': object = undefined;
  @ApiProperty({ description: '显示顺序' })
  'order_num': number = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_matchPath extends SearchBase {
  @ApiProperty({ description: '赛事id' })
  'match': number = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '时间' })
  'time': string = undefined;
  @ApiProperty({ description: '显示顺序' })
  'order_num': number = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_matchPath extends FVO_matchPath {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_matchPath {
  @ApiProperty({ description: '赛事id' })
  @Rule(RuleType['number']().empty(''))
  'match': number = undefined;
  @ApiProperty({ description: '名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: '时间' })
  @Rule(RuleType['string']().empty(''))
  'time': string = undefined;
  @ApiProperty({ description: '报名人员' })
  @Rule(RuleType['object']().empty(''))
  'signPerson': object = undefined;
  @ApiProperty({ description: '是否公开' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '显示顺序' })
  @Rule(RuleType['number']().empty(''))
  'order_num': number = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_matchPath extends FVO_matchPath {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_matchPath extends CDTO_matchPath {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_matchPath extends FVO_matchPath {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
