import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from '../../frame/SearchBase';
import { dealVO } from '../../frame/VOBase';
export class FVO_project {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '发布时间' })
  'time': string = undefined;
  @ApiProperty({ description: '行业分类' })
  'type': string = undefined;
  @ApiProperty({ description: '成熟度' })
  'maturity': string = undefined;
  @ApiProperty({ description: '技术类型' })
  'skill': string = undefined;
  @ApiProperty({ description: '领域' })
  'field': string = undefined;
  @ApiProperty({ description: '合作类型' })
  'cooperate': string = undefined;
  @ApiProperty({ description: '需求地区' })
  'area': Array<any> = undefined;
  @ApiProperty({ description: '项目主体' })
  'main': string = undefined;
  @ApiProperty({ description: '项目进展' })
  'progress': string = undefined;
  @ApiProperty({ description: '跟踪支持单位' })
  'track_unit': string = undefined;
  @ApiProperty({ description: '项目来源' })
  'source': string = undefined;
  @ApiProperty({ description: '所属产业' })
  'industry': string = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '附件' })
  'file': Array<any> = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_project extends SearchBase {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: '发布时间' })
  'time': string = undefined;
  @ApiProperty({ description: '行业分类' })
  'type': string = undefined;
  @ApiProperty({ description: '成熟度' })
  'maturity': string = undefined;
  @ApiProperty({ description: '技术类型' })
  'skill': string = undefined;
  @ApiProperty({ description: '领域' })
  'field': string = undefined;
  @ApiProperty({ description: '合作类型' })
  'cooperate': string = undefined;
  @ApiProperty({ description: '项目主体' })
  'main': string = undefined;
  @ApiProperty({ description: '项目进展' })
  'progress': string = undefined;
  @ApiProperty({ description: '跟踪支持单位' })
  'track_unit': string = undefined;
  @ApiProperty({ description: '项目来源' })
  'source': string = undefined;
  @ApiProperty({ description: '所属产业' })
  'industry': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_use': string = undefined;
}

export class QVO_project extends FVO_project {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_project {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  @Rule(RuleType['array']().empty(''))
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: '发布时间' })
  @Rule(RuleType['string']().empty(''))
  'time': string = undefined;
  @ApiProperty({ description: '行业分类' })
  @Rule(RuleType['string']().empty(''))
  'type': string = undefined;
  @ApiProperty({ description: '成熟度' })
  @Rule(RuleType['string']().empty(''))
  'maturity': string = undefined;
  @ApiProperty({ description: '技术类型' })
  @Rule(RuleType['string']().empty(''))
  'skill': string = undefined;
  @ApiProperty({ description: '领域' })
  @Rule(RuleType['string']().empty(''))
  'field': string = undefined;
  @ApiProperty({ description: '成果地区' })
  @Rule(RuleType['array']().empty(''))
  'area': Array<any> = undefined;
  @ApiProperty({ description: '合作类型' })
  @Rule(RuleType['string']().empty(''))
  'cooperate': string = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '项目主体' })
  @Rule(RuleType['string']().empty(''))
  'main': string = undefined;
  @ApiProperty({ description: '项目进展' })
  @Rule(RuleType['string']().empty(''))
  'progress': string = undefined;
  @ApiProperty({ description: '跟踪支持单位' })
  @Rule(RuleType['string']().empty(''))
  'track_unit': string = undefined;
  @ApiProperty({ description: '项目来源' })
  @Rule(RuleType['string']().empty(''))
  'source': string = undefined;
  @ApiProperty({ description: '所属产业' })
  @Rule(RuleType['string']().empty(''))
  'industry': string = undefined;
  @ApiProperty({ description: '附件' })
  @Rule(RuleType['array']().empty(''))
  'file': Array<any> = undefined;
  @ApiProperty({ description: '是否公开' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_project extends FVO_project {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_project extends CDTO_project {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_project extends FVO_project {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
