import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from '../../frame/SearchBase';
import { dealVO } from '../../frame/VOBase';
export class FVO_score {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '赛事id' })
  'match': number = undefined;
  @ApiProperty({ description: '流程id' })
  'matchPath': number = undefined;
  @ApiProperty({ description: '选手id' })
  'sign': number = undefined;
  @ApiProperty({ description: '分数' })
  'score': number = undefined;
  @ApiProperty({ description: '发布时间' })
  'time': string = undefined;
}

export class QDTO_score extends SearchBase {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '赛事id' })
  'match': number = undefined;
  @ApiProperty({ description: '流程id' })
  'matchPath': number = undefined;
  @ApiProperty({ description: '选手id' })
  'sign': number = undefined;
  @ApiProperty({ description: '分数' })
  'score': number = undefined;
  @ApiProperty({ description: '发布时间' })
  'time': string = undefined;
}

export class QVO_score extends FVO_score {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_score {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '赛事id' })
  @Rule(RuleType['number']().empty(''))
  'match': number = undefined;
  @ApiProperty({ description: '流程id' })
  @Rule(RuleType['number']().empty(''))
  'matchPath': number = undefined;
  @ApiProperty({ description: '选手id' })
  @Rule(RuleType['number']().empty(''))
  'sign': number = undefined;
  @ApiProperty({ description: '分数' })
  @Rule(RuleType['number']().empty(''))
  'score': number = undefined;
  @ApiProperty({ description: '发布时间' })
  @Rule(RuleType['string']().empty(''))
  'time': string = undefined;
}

export class CVO_score extends FVO_score {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_score extends CDTO_score {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_score extends FVO_score {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
