import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from '../../frame/SearchBase';
import { dealVO } from '../../frame/VOBase';
export class FVO_sector {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '标题' })
  'title': string = undefined;
  @ApiProperty({ description: '合作方链接渠道' })
  'href': string = undefined;
  @ApiProperty({ description: '背景图片' })
  'file': Array<any> = undefined;
  @ApiProperty({ description: '轮播图' })
  'carousel': Array<any> = undefined;
  @ApiProperty({ description: '合作伙伴' })
  'partner': Array<any> = undefined;
  @ApiProperty({ description: '企业成员' })
  'companyPerson': Array<any> = undefined;
  @ApiProperty({ description: '新闻' })
  'news': Array<any> = undefined;
  @ApiProperty({ description: '专家数' })
  'expertNum': number = undefined;
  @ApiProperty({ description: '排序' })
  'sort': number = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '发展进程' })
  'process': string = undefined;
  @ApiProperty({ description: '合作情况' })
  'situation': string = undefined;
  @ApiProperty({ description: '重大活动' })
  'activity': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QDTO_sector extends SearchBase {
  @ApiProperty({ description: '标题' })
  'title': string = undefined;
  @ApiProperty({ description: '排序' })
  'sort': number = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
}

export class QVO_sector extends FVO_sector {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_sector {
  @ApiProperty({ description: '标题' })
  @Rule(RuleType['string']().empty(''))
  'title': string = undefined;
  @ApiProperty({ description: '合作方链接渠道' })
  @Rule(RuleType['string']().empty(''))
  'href': string = undefined;
  @ApiProperty({ description: '背景图片' })
  @Rule(RuleType['array']().empty(''))
  'file': Array<any> = undefined;
  @ApiProperty({ description: '轮播图' })
  @Rule(RuleType['array']().empty(''))
  'carousel': Array<any> = undefined;
  @ApiProperty({ description: '新闻' })
  @Rule(RuleType['array']().empty(''))
  'news': Array<any> = undefined;
  @ApiProperty({ description: '合作伙伴' })
  @Rule(RuleType['array']().empty(''))
  'partner': Array<any> = undefined;
  @ApiProperty({ description: '企业成员' })
  @Rule(RuleType['array']().empty(''))
  'companyPerson': Array<any> = undefined;
  @ApiProperty({ description: '专家数' })
  @Rule(RuleType['number']().empty(''))
  'expertNum': number = undefined;
  @ApiProperty({ description: '排序' })
  @Rule(RuleType['number']().empty(''))
  'sort': number = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '发展进程' })
  @Rule(RuleType['string']().empty(''))
  'process': string = undefined;
  @ApiProperty({ description: '合作情况' })
  @Rule(RuleType['string']().empty(''))
  'situation': string = undefined;
  @ApiProperty({ description: '重大活动' })
  @Rule(RuleType['string']().empty(''))
  'activity': string = undefined;
  @ApiProperty({ description: '是否使用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
}

export class CVO_sector extends FVO_sector {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_sector extends CDTO_sector {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_sector extends FVO_sector {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
