import { ApiProperty } from '@midwayjs/swagger';
import { Rule, RuleType } from '@midwayjs/validate';
import { dealVO } from '../../frame/VOBase';
export class FVO_applyCompany {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: string = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '企业id' })
  'company': number = undefined;
  @ApiProperty({ description: '营业执照' })
  'file': Array<any> = undefined;
  @ApiProperty({ description: '负责人' })
  'person': string = undefined;
  @ApiProperty({ description: '负责人电话' })
  'person_phone': string = undefined;
  @ApiProperty({ description: '负责人身份证正反面' })
  'card': Array<any> = undefined;
  @ApiProperty({ description: '电子邮箱' })
  'email': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_applyCompany {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '企业id' })
  'company': number = undefined;
  @ApiProperty({ description: '营业执照' })
  'file': Array<any> = undefined;
  @ApiProperty({ description: '负责人' })
  'person': string = undefined;
  @ApiProperty({ description: '负责人电话' })
  'person_phone': string = undefined;
  @ApiProperty({ description: '负责人身份证正反面' })
  'card': Array<any> = undefined;
  @ApiProperty({ description: '电子邮箱' })
  'email': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_applyCompany extends FVO_applyCompany {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_applyCompany {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '企业id' })
  @Rule(RuleType['number']().empty(''))
  'company': number = undefined;
  @ApiProperty({ description: '营业执照' })
  @Rule(RuleType['array']().empty(''))
  'file': Array<any> = undefined;
  @ApiProperty({ description: '负责人' })
  @Rule(RuleType['string']().empty(''))
  'person': string = undefined;
  @ApiProperty({ description: '负责人电话' })
  @Rule(RuleType['string']().empty(''))
  'person_phone': string = undefined;
  @ApiProperty({ description: '负责人身份证正反面' })
  @Rule(RuleType['array']().empty(''))
  'card': Array<any> = undefined;
  @ApiProperty({ description: '电子邮箱' })
  @Rule(RuleType['string']().empty(''))
  'email': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_applyCompany extends FVO_applyCompany {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_applyCompany extends CDTO_applyCompany {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_applyCompany extends FVO_applyCompany {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
