import { ApiProperty } from '@midwayjs/swagger';
import { Rule, RuleType } from '@midwayjs/validate';
import { dealVO } from '../../frame/VOBase';
export class FVO_cirelation {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: string = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '孵化器id' })
  'incubator': number = undefined;
  @ApiProperty({ description: '企业id' })
  'company': number = undefined;
  @ApiProperty({ description: '申请时间' })
  'time': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_cirelation {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '孵化器id' })
  'incubator': number = undefined;
  @ApiProperty({ description: '企业id' })
  'company': number = undefined;
  @ApiProperty({ description: '申请时间' })
  'time': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_cirelation extends FVO_cirelation {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_cirelation {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '孵化器id' })
  @Rule(RuleType['number']().empty(''))
  'incubator': number = undefined;
  @ApiProperty({ description: '企业id' })
  @Rule(RuleType['number']().empty(''))
  'company': number = undefined;
  @ApiProperty({ description: '申请时间' })
  @Rule(RuleType['string']().empty(''))
  'time': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_cirelation extends FVO_cirelation {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_cirelation extends CDTO_cirelation {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_cirelation extends FVO_cirelation {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
