import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_companyYear {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '企业id' })
  'company': number = undefined;
  @ApiProperty({ description: '年度' })
  'year': string = undefined;
  @ApiProperty({ description: '填写时间' })
  'time': string = undefined;
  @ApiProperty({ description: '预计营业收入（万元）' })
  'esincome_money': number = undefined;
  @ApiProperty({ description: '预计利润（万元）' })
  'esprofit_money': number = undefined;
  @ApiProperty({ description: '预计税金（万元）' })
  'estax_money': number = undefined;
  @ApiProperty({ description: '预计研发费用（万元）' })
  'essearch_money': number = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_companyYear {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '企业id' })
  'company': number = undefined;
  @ApiProperty({ description: '年度' })
  'year': string = undefined;
  @ApiProperty({ description: '填写时间' })
  'time': string = undefined;
  @ApiProperty({ description: '预计营业收入（万元）' })
  'esincome_money': number = undefined;
  @ApiProperty({ description: '预计利润（万元）' })
  'esprofit_money': number = undefined;
  @ApiProperty({ description: '预计税金（万元）' })
  'estax_money': number = undefined;
  @ApiProperty({ description: '预计研发费用（万元）' })
  'essearch_money': number = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_companyYear extends FVO_companyYear {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_companyYear {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '企业id' })
  @Rule(RuleType['number']().empty(''))
  'company': number = undefined;
  @ApiProperty({ description: '年度' })
  @Rule(RuleType['string']().empty(''))
  'year': string = undefined;
  @ApiProperty({ description: '填写时间' })
  @Rule(RuleType['string']().empty(''))
  'time': string = undefined;
  @ApiProperty({ description: '预计营业收入（万元）' })
  @Rule(RuleType['number']().empty(''))
  'esincome_money': number = undefined;
  @ApiProperty({ description: '预计利润（万元）' })
  @Rule(RuleType['number']().empty(''))
  'esprofit_money': number = undefined;
  @ApiProperty({ description: '预计税金（万元）' })
  @Rule(RuleType['number']().empty(''))
  'estax_money': number = undefined;
  @ApiProperty({ description: '预计研发费用（万元）' })
  @Rule(RuleType['number']().empty(''))
  'essearch_money': number = undefined;
  @ApiProperty({ description: '是否使用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_companyYear extends FVO_companyYear {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_companyYear extends CDTO_companyYear {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_companyYear extends FVO_companyYear {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
