import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_incubator {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: 'logo' })
  'logo': Array<any> = undefined;
  @ApiProperty({ description: '基地风采' })
  'flie': Array<any> = undefined;
  @ApiProperty({ description: '负责人姓名' })
  'person': string = undefined;
  @ApiProperty({ description: '负责人电话' })
  'person_phone': string = undefined;
  @ApiProperty({ description: '所在地区' })
  'area': Array<any> = undefined;
  @ApiProperty({ description: '地址' })
  'address': string = undefined;

  @ApiProperty({ description: '运营单位名称' })
  'unit': string = undefined;
  @ApiProperty({ description: '占地面积' })
  'cover_area': string = undefined;
  @ApiProperty({ description: '建筑面积' })
  'build_area': string = undefined;
  @ApiProperty({ description: '剩余面积' })
  'residue_area': string = undefined;
  @ApiProperty({ description: '房租' })
  'rent': string = undefined;
  @ApiProperty({ description: '物业费' })
  'wy_money': string = undefined;
  @ApiProperty({ description: '是否具备中试场地' })
  'is_have': string = undefined;
  @ApiProperty({ description: '载体运营单位人数' })
  'unit_num': number = undefined;
  @ApiProperty({ description: '载体运营单位的省级以上导师数' })
  'teacher_num': number = undefined;
  @ApiProperty({ description: '中试场地面积' })
  'site_area': string = undefined;
  @ApiProperty({ description: '累计参加活动人次' })
  'activity_num': number = undefined;
  @ApiProperty({ description: '累计参加活动企业数量' })
  'actCompany_num': number = undefined;
  @ApiProperty({ description: '市级以上活动数' })
  'actCity_num': number = undefined;
  @ApiProperty({ description: '培训辅导类活动数' })
  'actTrain_num': number = undefined;
  @ApiProperty({ description: '高校院所类活动数' })
  'actSchool_num': number = undefined;
  @ApiProperty({ description: '投资机构类活动数' })
  'actInstitution_num': number = undefined;
  @ApiProperty({ description: '中介服务类活动数' })
  'actService_num': number = undefined;
  @ApiProperty({ description: '入驻企业数' })
  'company_num': number = undefined;

  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_show': string = undefined;
  @ApiProperty({ description: '是否和平台合作标识' })
  'cooperate': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_incubator {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  'name': string = undefined;
  @ApiProperty({ description: 'logo' })
  'logo': Array<any> = undefined;
  @ApiProperty({ description: '基地风采' })
  'flie': Array<any> = undefined;
  @ApiProperty({ description: '负责人电话' })
  'person_phone': string = undefined;

  @ApiProperty({ description: '运营单位名称' })
  'unit': string = undefined;
  @ApiProperty({ description: '占地面积' })
  'cover_area': string = undefined;
  @ApiProperty({ description: '建筑面积' })
  'build_area': string = undefined;
  @ApiProperty({ description: '剩余面积' })
  'residue_area': string = undefined;
  @ApiProperty({ description: '房租' })
  'rent': string = undefined;
  @ApiProperty({ description: '物业费' })
  'wy_money': string = undefined;
  @ApiProperty({ description: '是否具备中试场地' })
  'is_have': string = undefined;
  @ApiProperty({ description: '载体运营单位人数' })
  'unit_num': number = undefined;
  @ApiProperty({ description: '载体运营单位的省级以上导师数' })
  'teacher_num': number = undefined;
  @ApiProperty({ description: '中试场地面积' })
  'site_area': string = undefined;
  @ApiProperty({ description: '累计参加活动人次' })
  'activity_num': number = undefined;
  @ApiProperty({ description: '累计参加活动企业数量' })
  'actCompany_num': number = undefined;
  @ApiProperty({ description: '市级以上活动数' })
  'actCity_num': number = undefined;
  @ApiProperty({ description: '培训辅导类活动数' })
  'actTrain_num': number = undefined;
  @ApiProperty({ description: '高校院所类活动数' })
  'actSchool_num': number = undefined;
  @ApiProperty({ description: '投资机构类活动数' })
  'actInstitution_num': number = undefined;
  @ApiProperty({ description: '中介服务类活动数' })
  'actService_num': number = undefined;
  @ApiProperty({ description: '入驻企业数' })
  'company_num': number = undefined;

  @ApiProperty({ description: '是否公开' })
  'is_show': string = undefined;
  @ApiProperty({ description: '是否和平台合作标识' })
  'cooperate': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_incubator extends FVO_incubator {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_incubator {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '标签' })
  @Rule(RuleType['array']().empty(''))
  'tags': Array<any> = undefined;
  @ApiProperty({ description: '名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: 'logo' })
  @Rule(RuleType['array']().empty(''))
  'logo': Array<any> = undefined;
  @ApiProperty({ description: '基地风采' })
  @Rule(RuleType['array']().empty(''))
  'file': Array<any> = undefined;
  @ApiProperty({ description: '负责人姓名' })
  @Rule(RuleType['string']().empty(''))
  'person': string = undefined;
  @ApiProperty({ description: '负责人电话' })
  @Rule(RuleType['string']().empty(''))
  'person_phone': string = undefined;
  @ApiProperty({ description: '所在地区' })
  @Rule(RuleType['array']().empty(''))
  'area': Array<any> = undefined;
  @ApiProperty({ description: '地址' })
  @Rule(RuleType['string']().empty(''))
  'address': string = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;

  @ApiProperty({ description: '运营单位名称' })
  @Rule(RuleType['string']().empty(''))
  'unit': string = undefined;
  @ApiProperty({ description: '占地面积' })
  @Rule(RuleType['string']().empty(''))
  'cover_area': string = undefined;
  @ApiProperty({ description: '建筑面积' })
  @Rule(RuleType['string']().empty(''))
  'build_area': string = undefined;
  @ApiProperty({ description: '剩余面积' })
  @Rule(RuleType['string']().empty(''))
  'residue_area': string = undefined;
  @ApiProperty({ description: '房租' })
  @Rule(RuleType['string']().empty(''))
  'rent': string = undefined;
  @ApiProperty({ description: '物业费' })
  @Rule(RuleType['string']().empty(''))
  'wy_money': string = undefined;
  @ApiProperty({ description: '是否具备中试场地' })
  @Rule(RuleType['string']().empty(''))
  'is_have': string = undefined;
  @ApiProperty({ description: '载体运营单位人数' })
  @Rule(RuleType['number']().empty(''))
  'unit_num': number = undefined;
  @ApiProperty({ description: '载体运营单位的省级以上导师数' })
  @Rule(RuleType['number']().empty(''))
  'teacher_num': number = undefined;
  @ApiProperty({ description: '中试场地面积' })
  @Rule(RuleType['string']().empty(''))
  'site_area': string = undefined;
  @ApiProperty({ description: '累计参加活动人次' })
  @Rule(RuleType['number']().empty(''))
  'activity_num': number = undefined;
  @ApiProperty({ description: '累计参加活动企业数量' })
  @Rule(RuleType['number']().empty(''))
  'actCompany_num': number = undefined;
  @ApiProperty({ description: '市级以上活动数' })
  @Rule(RuleType['number']().empty(''))
  'actCity_num': number = undefined;
  @ApiProperty({ description: '培训辅导类活动数' })
  @Rule(RuleType['number']().empty(''))
  'actTrain_num': number = undefined;
  @ApiProperty({ description: '高校院所类活动数' })
  @Rule(RuleType['number']().empty(''))
  'actSchool_num': number = undefined;
  @ApiProperty({ description: '投资机构类活动数' })
  @Rule(RuleType['number']().empty(''))
  'actInstitution_num': number = undefined;
  @ApiProperty({ description: '中介服务类活动数' })
  @Rule(RuleType['number']().empty(''))
  'actService_num': number = undefined;
  @ApiProperty({ description: '入驻企业数' })
  @Rule(RuleType['number']().empty(''))
  'company_num': number = undefined;

  @ApiProperty({ description: '是否公开' })
  @Rule(RuleType['string']().empty(''))
  'is_show': string = undefined;
  @ApiProperty({ description: '是否和平台合作标识' })
  @Rule(RuleType['string']().empty(''))
  'cooperate': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_incubator extends FVO_incubator {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_incubator extends CDTO_incubator {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_incubator extends FVO_incubator {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
