import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_incubatorYear {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '孵化器id' })
  'incubator': number = undefined;
  @ApiProperty({ description: '年度' })
  'year': string = undefined;
  @ApiProperty({ description: '填写时间' })
  'time': string = undefined;
  @ApiProperty({ description: '活动总数' })
  'act_num': number = undefined;
  @ApiProperty({ description: '载体内企业实现收入（万元）' })
  'income_money': number = undefined;
  @ApiProperty({ description: '载体内企业利润（万元）' })
  'profit_money': number = undefined;
  @ApiProperty({ description: '载体内企业税金（万元）' })
  'tax_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计收入（万元）' })
  'esincome_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计利润（万元）' })
  'esprofit_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计税金（万元）' })
  'estax_money': number = undefined;
  @ApiProperty({ description: '获得国家、省、市科技、工信、人社等单位荣誉情况' })
  'content': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_incubatorYear {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '孵化器id' })
  'incubator': number = undefined;
  @ApiProperty({ description: '年度' })
  'year': string = undefined;
  @ApiProperty({ description: '填写时间' })
  'time': string = undefined;
  @ApiProperty({ description: '活动总数' })
  'act_num': number = undefined;
  @ApiProperty({ description: '载体内企业实现收入（万元）' })
  'income_money': number = undefined;
  @ApiProperty({ description: '载体内企业利润（万元）' })
  'profit_money': number = undefined;
  @ApiProperty({ description: '载体内企业税金（万元）' })
  'tax_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计收入（万元）' })
  'esincome_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计利润（万元）' })
  'esprofit_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计税金（万元）' })
  'estax_money': number = undefined;
  @ApiProperty({ description: '获得国家、省、市科技、工信、人社等单位荣誉情况' })
  'content': string = undefined;
  @ApiProperty({ description: '是否使用' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_incubatorYear extends FVO_incubatorYear {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_incubatorYear {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '孵化器id' })
  @Rule(RuleType['number']().empty(''))
  'incubator': number = undefined;
  @ApiProperty({ description: '年度' })
  @Rule(RuleType['string']().empty(''))
  'year': string = undefined;
  @ApiProperty({ description: '填写时间' })
  @Rule(RuleType['string']().empty(''))
  'time': string = undefined;
  @ApiProperty({ description: '活动总数' })
  @Rule(RuleType['number']().empty(''))
  'act_num': number = undefined;
  @ApiProperty({ description: '载体内企业实现收入（万元）' })
  @Rule(RuleType['number']().empty(''))
  'income_money': number = undefined;
  @ApiProperty({ description: '载体内企业利润（万元）' })
  @Rule(RuleType['number']().empty(''))
  'profit_money': number = undefined;
  @ApiProperty({ description: '载体内企业税金（万元）' })
  @Rule(RuleType['number']().empty(''))
  'tax_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计收入（万元）' })
  @Rule(RuleType['number']().empty(''))
  'esincome_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计利润（万元）' })
  @Rule(RuleType['number']().empty(''))
  'esprofit_money': number = undefined;
  @ApiProperty({ description: '载体内企业预计税金（万元）' })
  @Rule(RuleType['number']().empty(''))
  'estax_money': number = undefined;
  @ApiProperty({ description: '获得国家、省、市科技、工信、人社等单位荣誉情况' })
  @Rule(RuleType['string']().empty(''))
  'content': string = undefined;
  @ApiProperty({ description: '是否使用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_incubatorYear extends FVO_incubatorYear {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_incubatorYear extends CDTO_incubatorYear {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_incubatorYear extends FVO_incubatorYear {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
