import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_investment {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: string = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '投资人姓名' })
  'name': string = undefined;
  @ApiProperty({ description: '投资人证件类型' })
  'cardType': string = undefined;
  @ApiProperty({ description: '投资人证件号码' })
  'card': string = undefined;
  @ApiProperty({ description: ' 投资人出资额' })
  'money': string = undefined;
  @ApiProperty({ description: '投资人出资方式' })
  'type': string = undefined;
  @ApiProperty({ description: '投资人的住所地' })
  'address': string = undefined;
  @ApiProperty({ description: '投资人的联系方式' })
  'phone': string = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_show': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QDTO_investment {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '投资人姓名' })
  'name': string = undefined;
  @ApiProperty({ description: '投资人出资方式' })
  'type': string = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_show': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_investment extends FVO_investment {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_investment {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '投资人姓名' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: '投资人证件类型' })
  @Rule(RuleType['string']().empty(''))
  'cardType': string = undefined;
  @ApiProperty({ description: '投资人证件号码' })
  @Rule(RuleType['string']().empty(''))
  'card': string = undefined;
  @ApiProperty({ description: ' 投资人出资额' })
  @Rule(RuleType['string']().empty(''))
  'money': string = undefined;
  @ApiProperty({ description: '投资人出资方式' })
  @Rule(RuleType['string']().empty(''))
  'type': string = undefined;
  @ApiProperty({ description: '投资人的住所地' })
  @Rule(RuleType['string']().empty(''))
  'address': string = undefined;
  @ApiProperty({ description: '投资人的联系方式' })
  @Rule(RuleType['string']().empty(''))
  'phone': string = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '是否公开' })
  @Rule(RuleType['string']().empty(''))
  'is_show': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
}

export class CVO_investment extends FVO_investment {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_investment extends CDTO_investment {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_investment extends FVO_investment {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
