import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { dealVO } from '../../frame/VOBase';
export class FVO_unit {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  id: number = undefined;
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '科研机构名称' })
  'name': string = undefined;
  @ApiProperty({ description: '联系人' })
  'person': string = undefined;
  @ApiProperty({ description: '联系电话' })
  'person_phone': string = undefined;
  @ApiProperty({ description: '地址' })
  'address': string = undefined;
  @ApiProperty({ description: '简介' })
  'brief': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_show': string = undefined;
}

export class QDTO_unit {
  @ApiProperty({ description: '平台用户id' })
  'user': number = undefined;
  @ApiProperty({ description: '联系人' })
  'person': string = undefined;
  @ApiProperty({ description: '联系电话' })
  'person_phone': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  'is_show': string = undefined;
}

export class QVO_unit extends FVO_unit {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_unit {
  @ApiProperty({ description: '平台用户id' })
  @Rule(RuleType['number']().empty(''))
  'user': number = undefined;
  @ApiProperty({ description: '科研机构名称' })
  @Rule(RuleType['string']().empty(''))
  'name': string = undefined;
  @ApiProperty({ description: '联系人' })
  @Rule(RuleType['string']().empty(''))
  'person': string = undefined;
  @ApiProperty({ description: '联系电话' })
  @Rule(RuleType['string']().empty(''))
  'person_phone': string = undefined;
  @ApiProperty({ description: '地址' })
  @Rule(RuleType['string']().empty(''))
  'address': string = undefined;
  @ApiProperty({ description: '简介' })
  @Rule(RuleType['string']().empty(''))
  'brief': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
  @ApiProperty({ description: '是否公开' })
  @Rule(RuleType['string']().empty(''))
  'is_show': string = undefined;
}

export class CVO_unit extends FVO_unit {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_unit extends CDTO_unit {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['number']().empty(''))
  id: number = undefined;
}

export class UVAO_unit extends FVO_unit {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
