import { Sign } from '../../entity/platform/sign.entity';
import { Match } from '../../entity/platform/match.entity';
import { get } from 'lodash';
import { ErrorCode, ServiceError } from '../../error/service.error';
import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Equal, Repository } from 'typeorm';
import { BaseServiceV2 } from '../../frame/BaseServiceV2';
@Provide()
export class SignService extends BaseServiceV2 {
  @InjectEntityModel(Sign)
  model: Repository<Sign>;

  @InjectEntityModel(Match)
  mModel: Repository<Match>;

  // 报名检查
  async createExamine(data) {
    const { match, phone, card } = data;
    const result = await this.model.findOne({ where: { phone: Equal(phone), card: Equal(card), match: Equal(match) } });
    if (result) throw new ServiceError(ErrorCode.SERVICE_REPEAT);
  }

  // 修改报名信息检查
  async updateExamine(data) {
    const { match } = data;
    if (match) {
      const result = await this.mModel.findOneBy({ id: Equal(match) });
      if (result && get(result, 'match_status') === '2') throw new ServiceError(ErrorCode.SERVICE_END);
    }
  }

  // // 列表
  // async sign(query) {
  //   const { skip = 0, limit = 0, ...condition } = query;
  //   // const list = await this.model.find(condition).skip(skip).limit(limit).lean();
  //   const qb = this.queryBuilder(condition);
  //   const whereObject = this.buildFindWhere(qb);
  //   const builder = this.model.createQueryBuilder().setFindOptions({ where: whereObject, skip, take: limit });
  //   const list = await builder.getMany();
  //   const total = await builder.getCount();
  //   const data = [];
  //   for (const val of list) {
  //     if (get(val, 'match')) {
  //       // 查询需求发布者
  //       // const matchInfo = await this.mModel.findById(val.match).lean();
  //       const matchInfo = await this.mModel.findOne({ where: { id: Equal(val.match) } });
  //       if (matchInfo) {
  //         data.push({ ...val, ...{ matchInfo } });
  //       }
  //     }
  //   }
  //   // const total = await this.model.count(condition);
  //   return { data, total };
  // }
}
